# Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
# SPDX-License-Identifier: Apache-2.0

version: 0.2

phases:
  pre_build:
    commands:
      - if [ $(gcc -dumpversion) == 4.8.5 ]; then echo "Found correct gcc version 4.8.5"; else gcc --version && echo "gcc version mismatch" && exit 1; fi
      - export CC=gcc
      - export CXX=g++
      - export AWSLC_32BIT=1
      - export GO111MODULE=on
  build:
    commands:
      - ./tests/ci/run_posix_tests.sh
